org.bdgenomics.adam.rdd.feature

# RDDBoundCoverageRDD

###
Related Doc: package feature

#### case class RDDBoundCoverageRDD extends CoverageRDD with Product with Serializable

An RDD containing Coverage data.

Linear Supertypes
Serializable, Serializable, Product, Equals, CoverageRDD, GenomicDataset[Coverage, Coverage, CoverageRDD], GenomicRDD[Coverage, CoverageRDD], Logging, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RDDBoundCoverageRDD
2. Serializable
3. Serializable
4. Product
5. Equals
6. CoverageRDD
7. GenomicDataset
8. GenomicRDD
9. Logging
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def addSequence(sequenceToAdd: SequenceRecord): CoverageRDD

   Appends metadata for a single sequence to the current RDD.

   Appends metadata for a single sequence to the current RDD.

   sequenceToAdd

     The sequence to add.

   returns

     Returns a new GenomicRDD with this sequence appended.

   Definition Classes
     GenomicRDD

5. #### def addSequences(sequencesToAdd: SequenceDictionary): CoverageRDD

   Appends sequence metadata to the current RDD.

   Appends sequence metadata to the current RDD.

   sequencesToAdd

     The new sequences to append.

   returns

     Returns a new GenomicRDD with the sequences appended.

   Definition Classes
     GenomicRDD

6. #### def aggregatedCoverage(bpPerBin: Int = 1): CoverageRDD

   Gets coverage overlapping specified ReferenceRegion.

   Gets coverage overlapping specified ReferenceRegion.

   For large ReferenceRegions, base pairs per bin (bpPerBin) can be specified to bin together ReferenceRegions of equal size. The coverage of each bin is the mean coverage over all base pairs in that bin.

   bpPerBin

     base pairs per bin, number of bases to combine to one bin.

   returns

     RDD of Coverage Records.

   Definition Classes
     CoverageRDD

7. #### def aggregatedCoverage(bpPerBin: Integer): CoverageRDD

   Gets coverage overlapping specified ReferenceRegion.

   Gets coverage overlapping specified ReferenceRegion.

   For large ReferenceRegions, base pairs per bin (bpPerBin) can be specified to bin together ReferenceRegions of equal size. The coverage of each bin is the mean coverage over all base pairs in that bin. Java friendly variant.

   bpPerBin

     base pairs per bin, number of bases to combine to one bin.

   returns

     RDD of Coverage Records.

   Definition Classes
     CoverageRDD

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def broadcast()(implicit tTag: ClassTag[Coverage]): Broadcast[IntervalArray[ReferenceRegion, Coverage]]

   Definition Classes
     GenomicRDD

10. #### def broadcastRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], txTag: ClassTag[(Coverage, X)]): GenericGenomicRDD[(Coverage, X)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    See also

      broadcastRegionJoinAgainst

11. #### def broadcastRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], txTag: ClassTag[(Coverage, X)]): GenericGenomicRDD[(Coverage, X)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    See also

      broadcastRegionJoinAgainst

12. #### def broadcastRegionJoinAgainst[X](broadcastTree: Broadcast[IntervalArray[ReferenceRegion, X]])(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X]): GenericGenomicRDD[(X, Coverage)]

    Performs a broadcast inner join between this RDD and data that has been broadcast.

    Performs a broadcast inner join between this RDD and data that has been broadcast.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcastTree

      The data on the left side of the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      broadcastRegionJoin

13. #### def broadcastRegionJoinAgainstAndGroupByRight[X, Y <: GenomicRDD[X, Y]](broadcastTree: Broadcast[IntervalArray[ReferenceRegion, X]])(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X]): GenericGenomicRDD[(Iterable[X], Coverage)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcastTree

      The data on the left side of the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      broadcastRegionJoinAndGroupByRight

14. #### def broadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Coverage], X)]): GenericGenomicRDD[(Iterable[Coverage], X)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    See also

      broadcastRegionJoinAgainstAndGroupByRight

15. #### def broadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Coverage], X)]): GenericGenomicRDD[(Iterable[Coverage], X)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    See also

      broadcastRegionJoinAgainstAndGroupByRight

16. #### def buildTree(rdd: RDD[(ReferenceRegion, Coverage)])(implicit tTag: ClassTag[Coverage]): IntervalArray[ReferenceRegion, Coverage]

    Attributes
      protected
    Definition Classes
      CoverageRDD → GenomicRDD

17. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### def collapse(): CoverageRDD

    Merges adjacent ReferenceRegions with the same coverage value.

    Merges adjacent ReferenceRegions with the same coverage value. This reduces the loss of coverage information while reducing the number of records in the RDD. For example, adjacent records Coverage("chr1", 1, 10, 3.0) and Coverage("chr1", 10, 20, 3.0) would be merged into one record Coverage("chr1", 1, 20, 3.0).

    returns

      merged tuples of adjacent ReferenceRegions and coverage.

    Definition Classes
      CoverageRDD
    Note

      Data must be sorted before collapse is called.

19. #### def coverage(bpPerBin: Int = 1): CoverageRDD

    Gets coverage overlapping specified ReferenceRegion.

    Gets coverage overlapping specified ReferenceRegion. For large ReferenceRegions, base pairs per bin (bpPerBin) can be specified to bin together ReferenceRegions of equal size. The coverage of each bin is coverage of the first base pair in that bin.

    bpPerBin

      base pairs per bin, number of bases to combine to one bin.

    returns

      RDD of Coverage Records.

    Definition Classes
      CoverageRDD

20. #### def coverage(bpPerBin: Integer): CoverageRDD

    Gets coverage overlapping specified ReferenceRegion.

    Gets coverage overlapping specified ReferenceRegion.

    For large ReferenceRegions, base pairs per bin (bpPerBin) can be specified to bin together ReferenceRegions of equal size. The coverage of each bin is coverage of the first base pair in that bin. Java friendly variant.

    bpPerBin

      base pairs per bin, number of bases to combine to one bin.

    returns

      RDD of Coverage Records.

    Definition Classes
      CoverageRDD

21. #### lazy val dataset: Dataset[Coverage]

    This data as a Spark SQL Dataset.

    This data as a Spark SQL Dataset.

    Definition Classes
      RDDBoundCoverageRDD → GenomicDataset

22. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def filterByOverlappingRegion(query: ReferenceRegion): CoverageRDD

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    query

      The region to query for.

    returns

      Returns a new GenomicRDD containing only data that overlaps the query region.

    Definition Classes
      GenomicRDD

24. #### def filterByOverlappingRegions(querys: Iterable[ReferenceRegion]): CoverageRDD

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    querys

      The regions to query for.

    returns

      Returns a new GenomicRDD containing only data that overlaps the querys region.

    Definition Classes
      GenomicRDD

25. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

26. #### def flatten(): CoverageRDD

    Gets flattened RDD of coverage, with coverage mapped to a ReferenceRegion at each base pair.

    Gets flattened RDD of coverage, with coverage mapped to a ReferenceRegion at each base pair.

    returns

      CoverageRDD of flattened Coverage records.

    Definition Classes
      CoverageRDD

27. #### def flattenRddByRegions(): RDD[(ReferenceRegion, Coverage)]

    Attributes
      protected
    Definition Classes
      GenomicRDD

28. #### def fullOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], otoxTag: ClassTag[(Option[Coverage], Option[X])]): GenericGenomicRDD[(Option[Coverage], Option[X])]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicRDD

29. #### def fullOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], otoxTag: ClassTag[(Option[Coverage], Option[X])]): GenericGenomicRDD[(Option[Coverage], Option[X])]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicRDD

30. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

31. #### def getReferenceRegions(elem: Coverage): Seq[ReferenceRegion]

    Gets sequence of ReferenceRegions from Coverage element.

    Gets sequence of ReferenceRegions from Coverage element. Since coverage maps directly to a single genomic region, this method will always return a Seq of exactly one ReferenceRegion.

    elem

      The Coverage to get an underlying region for.

    returns

      Sequence of ReferenceRegions extracted from Coverage.

    Attributes
      protected
    Definition Classes
      CoverageRDD → GenomicRDD

32. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

33. #### def isSorted: Boolean

    Definition Classes
      GenomicRDD

34. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

35. #### lazy val jrdd: JavaRDD[Coverage]

    The underlying RDD of genomic data, as a JavaRDD.

    The underlying RDD of genomic data, as a JavaRDD.

    Definition Classes
      GenomicRDD

36. #### def leftOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], toxTag: ClassTag[(Coverage, Option[X])]): GenericGenomicRDD[(Coverage, Option[X])]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicRDD

37. #### def leftOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], toxTag: ClassTag[(Coverage, Option[X])]): GenericGenomicRDD[(Coverage, Option[X])]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicRDD

38. #### def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], toxTag: ClassTag[(Coverage, Iterable[X])]): GenericGenomicRDD[(Coverage, Iterable[X])]

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with an empty Iterable in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicRDD

39. #### def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], toxTag: ClassTag[(Coverage, Iterable[X])]): GenericGenomicRDD[(Coverage, Iterable[X])]

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with an empty Iterable in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicRDD

40. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

41. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

42. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

43. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

44. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

45. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

46. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

47. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

48. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

49. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

50. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

51. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

52. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

53. #### final def notify(): Unit

    Definition Classes
      AnyRef

54. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

55. #### val optPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]]

    Definition Classes
      RDDBoundCoverageRDD → GenomicRDD

56. #### def pipe[X, Y <: GenomicRDD[X, Y], V <: InFormatter[Coverage, CoverageRDD, V]](cmd: String, files: List[String], environment: Map[String, String], flankSize: Integer, tFormatter: Class[V], xFormatter: OutFormatter[X], convFn: Function2[CoverageRDD, RDD[X], Y]): Y

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Java/PySpark friendly variant.

    X

      The type of the record created by the piped command.

    Y

      A GenomicRDD containing X's.

    V

      The InFormatter to use for formatting the data being piped to the command.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final RDD.

    returns

      Returns a new GenomicRDD of type Y.

    Definition Classes
      GenomicRDD

57. #### def pipe[X, Y <: GenomicRDD[X, Y], V <: InFormatter[Coverage, CoverageRDD, V]](cmd: String, files: Seq[Any], environment: Map[Any, Any], flankSize: Double, tFormatter: Class[V], xFormatter: OutFormatter[X], convFn: Function2[CoverageRDD, RDD[X], Y]): Y

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    SparkR friendly variant.

    X

      The type of the record created by the piped command.

    Y

      A GenomicRDD containing X's.

    V

      The InFormatter to use for formatting the data being piped to the command.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final RDD.

    returns

      Returns a new GenomicRDD of type Y.

    Definition Classes
      GenomicRDD

58. #### def pipe[X, Y <: GenomicRDD[X, Y], V <: InFormatter[Coverage, CoverageRDD, V]](cmd: String, files: Seq[String] = Seq.empty, environment: Map[String, String] = Map.empty, flankSize: Int = 0)(implicit tFormatterCompanion: InFormatterCompanion[Coverage, CoverageRDD, V], xFormatter: OutFormatter[X], convFn: (CoverageRDD, RDD[X]) ⇒ Y, tManifest: ClassTag[Coverage], xManifest: ClassTag[X]): Y

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Files are substituted in to the command with a $x syntax. E.g., to invoke a command that uses the first file from the files Seq, use $0. To access the path to the directory where the files are copied, use $root.

    Pipes require the presence of an InFormatterCompanion and an OutFormatter as implicit values. The InFormatterCompanion should be a singleton whose apply method builds an InFormatter given a specific type of GenomicRDD. The implicit InFormatterCompanion yields an InFormatter which is used to format the input to the pipe, and the implicit OutFormatter is used to parse the output from the pipe.

    X

      The type of the record created by the piped command.

    Y

      A GenomicRDD containing X's.

    V

      The InFormatter to use for formatting the data being piped to the command.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    returns

      Returns a new GenomicRDD of type Y.

    Definition Classes
      GenomicRDD

59. #### val rdd: RDD[Coverage]

    An RDD containing data describing how many reads cover a genomic locus/region.

    An RDD containing data describing how many reads cover a genomic locus/region.

    Definition Classes
      RDDBoundCoverageRDD → GenomicRDD

60. #### def replaceRdd(newRdd: RDD[Coverage], newPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]] = None): CoverageRDD

    newRdd

      The RDD to replace the underlying RDD with.

    returns

      Returns a new CoverageRDD with the underlying RDD replaced.

    Attributes
      protected
    Definition Classes
      CoverageRDD → GenomicRDD

61. #### def replaceSequences(newSequences: SequenceDictionary): CoverageRDD

    Replaces the sequence dictionary attached to a GenomicRDD.

    Replaces the sequence dictionary attached to a GenomicRDD.

    newSequences

      The new sequence dictionary to attach.

    returns

      Returns a new GenomicRDD with the sequences replaced.

    Definition Classes
      RDDBoundCoverageRDD → GenomicRDD

62. #### def rightOuterBroadcastRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], otxTag: ClassTag[(Option[Coverage], X)]): GenericGenomicRDD[(Option[Coverage], X)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD
    See also

      rightOuterBroadcastRegionJoin

63. #### def rightOuterBroadcastRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], otxTag: ClassTag[(Option[Coverage], X)]): GenericGenomicRDD[(Option[Coverage], X)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD
    See also

      rightOuterBroadcastRegionJoin

64. #### def rightOuterBroadcastRegionJoinAgainst[X](broadcastTree: Broadcast[IntervalArray[ReferenceRegion, X]])(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X]): GenericGenomicRDD[(Option[X], Coverage)]

    Performs a broadcast right outer join between this RDD and data that has been broadcast.

    Performs a broadcast right outer join between this RDD and data that has been broadcast.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcastTree

      The data on the left side of the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      rightOuterBroadcastRegionJoin

65. #### def rightOuterBroadcastRegionJoinAgainstAndGroupByRight[X, Y <: GenomicRDD[X, Y]](broadcastTree: Broadcast[IntervalArray[ReferenceRegion, X]])(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X]): GenericGenomicRDD[(Iterable[X], Coverage)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcastTree

      The data on the left side of the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      rightOuterBroadcastRegionJoinAndGroupByRight

66. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Coverage], X)]): GenericGenomicRDD[(Iterable[Coverage], X)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD
    See also

      rightOuterBroadcastRegionJoinAgainstAndGroupByRight

67. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Coverage], X)]): GenericGenomicRDD[(Iterable[Coverage], X)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD
    See also

      rightOuterBroadcastRegionJoinAgainstAndGroupByRight

68. #### def rightOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], otxTag: ClassTag[(Option[Coverage], X)]): GenericGenomicRDD[(Option[Coverage], X)]

    Performs a sort-merge right outer join between this RDD and another RDD.

    Performs a sort-merge right outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD

69. #### def rightOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], otxTag: ClassTag[(Option[Coverage], X)]): GenericGenomicRDD[(Option[Coverage], X)]

    Performs a sort-merge right outer join between this RDD and another RDD.

    Performs a sort-merge right outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD

70. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], otixTag: ClassTag[(Option[Coverage], Iterable[X])]): GenericGenomicRDD[(Option[Coverage], Iterable[X])]

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

    Definition Classes
      GenomicRDD

71. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], otixTag: ClassTag[(Option[Coverage], Iterable[X])]): GenericGenomicRDD[(Option[Coverage], Iterable[X])]

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

    Definition Classes
      GenomicRDD

72. #### def save(filePath: String, asSingleFile: Boolean, disableFastConcat: Boolean): Unit

    Saves coverage as feature file.

    Saves coverage as feature file.

    filePath

      The location to write the output.

    asSingleFile

      If false, writes file to disk as shards with one shard per partition. If true, we save the file to disk as a single file by merging the shards.

    disableFastConcat

      If asSingleFile is true, disables the use of the fast file concatenation engine.

    Definition Classes
      CoverageRDD
    See also

      FeatureRDD.save Supported file formats include bed, narrowPeak and parquet. Coverage is saved as a feature where coverage is stored in score attribute. val chrom = feature.getContigName val start = feature.getStart val end = feature.getEnd val name = Features.nameOf(feature) val coverage = feature.getScore

73. #### val sequences: SequenceDictionary

    A dictionary describing the reference genome.

    A dictionary describing the reference genome.

    Definition Classes
      RDDBoundCoverageRDD → GenomicRDD

74. #### def shuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], txTag: ClassTag[(Coverage, X)]): GenericGenomicRDD[(Coverage, X)]

    Performs a sort-merge inner join between this RDD and another RDD.

    Performs a sort-merge inner join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD

75. #### def shuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], txTag: ClassTag[(Coverage, X)]): GenericGenomicRDD[(Coverage, X)]

    Performs a sort-merge inner join between this RDD and another RDD.

    Performs a sort-merge inner join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD

76. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], tixTag: ClassTag[(Coverage, Iterable[X])]): GenericGenomicRDD[(Coverage, Iterable[X])]

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. In the same operation, we group all values by the left item in the RDD.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD..

    Definition Classes
      GenomicRDD

77. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[Coverage], xTag: ClassTag[X], tixTag: ClassTag[(Coverage, Iterable[X])]): GenericGenomicRDD[(Coverage, Iterable[X])]

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. In the same operation, we group all values by the left item in the RDD.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD..

    Definition Classes
      GenomicRDD

78. #### def sort(partitions: Int = rdd.partitions.length, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[Coverage]): CoverageRDD

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    partitions

      The number of partitions for the new RDD.

    stringency

      The level of ValidationStringency to enforce.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    Note

      Uses ValidationStringency to handle unaligned or where objects align to multiple positions.

    See also

      sortLexicographically

79. #### def sort(): CoverageRDD

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    See also

      sortLexicographically

80. #### def sortLexicographically(partitions: Int = rdd.partitions.length, storePartitionMap: Boolean = false, storageLevel: StorageLevel = StorageLevel.MEMORY_ONLY, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[Coverage]): CoverageRDD

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    partitions

      The number of partitions for the new RDD.

    storePartitionMap

      A Boolean flag to determine whether to store the partition bounds from the resulting RDD.

    storageLevel

      The level at which to persist the resulting RDD.

    stringency

      The level of ValidationStringency to enforce.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    Note

      Uses ValidationStringency to handle data that is unaligned or where objects align to multiple positions.

    See also

      sort

81. #### def sortLexicographically(): CoverageRDD

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    See also

      sort

82. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

83. #### def toDF(): DataFrame

    returns

      This data as a Spark SQL DataFrame.

    Definition Classes
      GenomicDataset

84. #### def toFeatures(): FeatureRDD

    Converts CoverageRDD to FeatureRDD.

    Converts CoverageRDD to FeatureRDD.

    returns

      Returns a FeatureRDD from CoverageRDD.

    Definition Classes
      RDDBoundCoverageRDD → CoverageRDD

85. #### def toString(): String

    Definition Classes
      GenomicRDD → AnyRef → Any

86. #### def transform(tFn: Function[JavaRDD[Coverage], JavaRDD[Coverage]]): CoverageRDD

    Applies a function that transforms the underlying RDD into a new RDD.

    Applies a function that transforms the underlying RDD into a new RDD.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicRDD

87. #### def transform(tFn: (RDD[Coverage]) ⇒ RDD[Coverage]): CoverageRDD

    Applies a function that transforms the underlying RDD into a new RDD.

    Applies a function that transforms the underlying RDD into a new RDD.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicRDD

88. #### def transformDataFrame(tFn: Function[DataFrame, DataFrame]): CoverageRDD

    Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

    Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API. Java-friendly variant.

    tFn

      A function that transforms the underlying RDD as a DataFrame.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicDataset

89. #### def transformDataFrame(tFn: (DataFrame) ⇒ DataFrame)(implicit uTag: scala.reflect.api.JavaUniverse.TypeTag[Coverage]): CoverageRDD

    Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

    Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

    tFn

      A function that transforms the underlying RDD as a DataFrame.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicDataset

90. #### def transformDataset(tFn: (Dataset[Coverage]) ⇒ Dataset[Coverage]): CoverageRDD

    Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

    Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

    tFn

      A function that transforms the underlying RDD as a Dataset.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      CoverageRDD → GenomicDataset

91. #### def transmute[X, Y <: GenomicRDD[X, Y]](tFn: Function[JavaRDD[Coverage], JavaRDD[X]], convFn: Function2[CoverageRDD, RDD[X], Y]): Y

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly version.

    tFn

      A function that transforms the underlying RDD.

    convFn

      The conversion function used to build the final RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicRDD

92. #### def transmute[X, Y <: GenomicRDD[X, Y]](tFn: (RDD[Coverage]) ⇒ RDD[X])(implicit convFn: (CoverageRDD, RDD[X]) ⇒ Y): Y

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicRDD

93. #### def transmuteDataFrame[X <: Product, Y <: GenomicDataset[_, X, Y]](tFn: Function[DataFrame, DataFrame], convFn: GenomicDatasetConversion[Coverage, CoverageRDD, X, Y]): Y

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly variant.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicDataset

94. #### def transmuteDataFrame[X <: Product, Y <: GenomicDataset[_, X, Y]](tFn: (DataFrame) ⇒ DataFrame)(implicit xTag: scala.reflect.api.JavaUniverse.TypeTag[X], convFn: (CoverageRDD, Dataset[X]) ⇒ Y): Y

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly variant.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicDataset

95. #### def transmuteDataset[X <: Product, Y <: GenomicDataset[_, X, Y]](tFn: Function[Dataset[Coverage], Dataset[X]], convFn: GenomicDatasetConversion[Coverage, CoverageRDD, X, Y]): Y

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly variant.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicDataset

96. #### def transmuteDataset[X <: Product, Y <: GenomicDataset[_, X, Y]](tFn: (Dataset[Coverage]) ⇒ Dataset[X])(implicit xTag: scala.reflect.api.JavaUniverse.TypeTag[X], convFn: (CoverageRDD, Dataset[X]) ⇒ Y): Y

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicDataset

97. #### val uTag: scala.reflect.api.JavaUniverse.TypeTag[Coverage]

    Definition Classes
      CoverageRDD → GenomicDataset

98. #### def union(rdds: CoverageRDD*): CoverageRDD

    Unions together multiple genomic RDDs.

    Unions together multiple genomic RDDs.

    rdds

      RDDs to union with this RDD.

    Definition Classes
      CoverageRDD → GenomicRDD

99. #### def union(rdds: List[CoverageRDD]): CoverageRDD

    Unions together multiple genomic RDDs.

    Unions together multiple genomic RDDs.

    rdds

      RDDs to union with this RDD.

    Definition Classes
      GenomicRDD

100. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

101. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

102. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

103. #### def writeTextRdd[T](rdd: RDD[T], outputPath: String, asSingleFile: Boolean, disableFastConcat: Boolean, optHeaderPath: Option[String] = None): Unit

     Writes an RDD to disk as text and optionally merges.

     Writes an RDD to disk as text and optionally merges.

     rdd

       RDD to save.

     outputPath

       Output path to save text files to.

     asSingleFile

       If true, combines all partition shards.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     optHeaderPath

       If provided, the header file to include.

     Attributes
       protected
     Definition Classes
       GenomicRDD

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CoverageRDD

### Inherited from GenomicDataset[Coverage, Coverage, CoverageRDD]

### Inherited from GenomicRDD[Coverage, CoverageRDD]

### Inherited from Logging

### Inherited from AnyRef

### Inherited from Any

### Ungrouped